import React, { useState, useEffect } from 'react';
import BaseForm from '../../BaseForm';

const SearchBar = props => {
  const { items, buttons, onCommit } = props;
  const [form, setForm] = useState(null);
  const getForm = f => {
    setForm(f);
  };

  useEffect(() => {
    if (form) {
      form.onFinish = values => {
        onCommit(values);
      };
    }
  }, []);

  return (
    <BaseForm
      items={items}
      buttons={buttons}
      layout="horizontal"
      getForm={getForm}
    />
  );
};

export default SearchBar;
